Bug 1102974 - [GSS](6.3.1)HHH-9231 Uncommitted data can remain in transactional collection cache after rollback if collection is initialized after flush
Summary: [GSS](6.3.1)HHH-9231 Uncommitted data can remain in transactional collection ...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Hibernate
Version: 6.2.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.3.1
Assignee: Gail Badner
QA Contact: Martin Simka
Russell Dickenson
URL:
Whiteboard:
Keywords: Triaged
Depends On: 1102968
Blocks: eap631-blockers, eap631-payload, eap63-cp01-blockers 1102975 1121630
TreeView+ depends on / blocked
 
Reported: 2014-05-30 00:24 UTC by Stephen Fikes
Modified: 2018-12-06 16:40 UTC (History)
6 users (show)

(edit)
This release of JBoss EAP 6 contains a bug that causes some changes to remain in the level 2 cache, following rollback of changes.
 
This issue may result in a `javax.persistence.EntityNotFoundException` or non-existent entities being encountered.

This issue is expected to be resolved in a future release of the product.
Clone Of: 1102968
: 1102975 (view as bug list)
(edit)
Last Closed: 2014-10-13 18:37:49 UTC


Attachments (Terms of Use)

Description Stephen Fikes 2014-05-30 00:24:56 UTC
+++ This bug was initially created as a clone of Bug #1102968 +++

Description of problem:
After adding an entity to an association (collection) and rolling back the transaction, the reverted entity remains in the association in the level 2 cache.

Version-Release number of selected component (if applicable):
Hibernate 4.2.7.SP1

How reproducible:
Consistently

Steps to Reproduce:
1. Add element to an association (collection)
2. Persist the element added
3. flush
4. Navigate from the one side to the many side
5. Raise an exception which rolls back the transaction
6. Repeat the navigation from the one to the many side

Actual results:
At #6, a javax.persistence.EntityNotFoundException is thrown

Expected results:
The connection at #6 should not contain the rolled back entity

Additional info:
Possibly the same as https://hibernate.atlassian.net/browse/HHH-5690

Comment 3 Martin Simka 2014-09-01 16:22:44 UTC
verified on EAP 6.3.1.CP.CR1


Note You need to log in before you can comment on or make changes to this bug.